summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMario Haustein <mario.haustein@hrz.tu-chemnitz.de>2022-03-18 19:39:35 +0100
committerSam James <sam@gentoo.org>2022-04-05 04:24:18 +0100
commit38e3f59e205abf8018496b49de33e0d49ac4fd87 (patch)
treebc89889a70b9542c205160b705d78065542e00c3 /app-forensics/volatility3/volatility3-2.0.1.ebuild
parentapp-forensics/volatility3: new ebuild (diff)
downloadgentoo-38e3f59e205abf8018496b49de33e0d49ac4fd87.tar.gz
gentoo-38e3f59e205abf8018496b49de33e0d49ac4fd87.tar.bz2
gentoo-38e3f59e205abf8018496b49de33e0d49ac4fd87.zip
app-forensics/volatility3: version bump 2.0.1
Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Mario Haustein <mario.haustein@hrz.tu-chemnitz.de> Closes: https://github.com/gentoo/gentoo/pull/24002 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'app-forensics/volatility3/volatility3-2.0.1.ebuild')
-rw-r--r--app-forensics/volatility3/volatility3-2.0.1.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/app-forensics/volatility3/volatility3-2.0.1.ebuild b/app-forensics/volatility3/volatility3-2.0.1.ebuild
new file mode 100644
index 00000000000..e36930a8b1a
--- /dev/null
+++ b/app-forensics/volatility3/volatility3-2.0.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+MY_PV=${PV//_beta/-beta.}
+
+DESCRIPTION="Framework for analyzing volatile memory"
+HOMEPAGE="https://github.com/volatilityfoundation/volatility3/ https://www.volatilityfoundation.org/"
+SRC_URI="https://github.com/volatilityfoundation/volatility3/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="crypt disasm jsonschema leechcore snappy yara"
+
+RDEPEND="
+ >=dev-python/pefile-2017.8.1[${PYTHON_USEDEP}]
+ crypt? ( >=dev-python/pycryptodome-3[${PYTHON_USEDEP}] )
+ disasm? ( >=dev-libs/capstone-3.0.5[python,${PYTHON_USEDEP}] )
+ jsonschema? ( >=dev-python/jsonschema-2.3.0[${PYTHON_USEDEP}] )
+ leechcore? ( >=dev-python/leechcorepyc-2.4.0[${PYTHON_USEDEP}] )
+ snappy? ( >=dev-python/snappy-0.6.0[${PYTHON_USEDEP}] )
+ yara? ( >=dev-python/yara-python-3.8.0[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}"